<template>
    <div>
        <div class="account-container container">
            <AccountNavigationBar/>
            <slot></slot>
        </div>
    </div>
</template>

<script>
import AccountNavigationBar from "@/components/Account/AccountNavigationBar"
import Header from "@/components/Header"

export default {
    name: 'BaseAccountTemplate',
    created() {
        this.$store.dispatch('user/saveUser')
    },
    components: {Header, AccountNavigationBar}
}
</script>

<style lang="scss" scoped>
.container {width: 77.083rem;}
.account-container {
    @include flex();
    padding: 2.5rem 0;
}
.account__title {
    @include font-size(24);
    color: $primary-text;
    margin: 0 0 2.34375rem 0;
}

@media only screen and (max-width: 768px) {
    .account-container {width: 85.6%;}
}
</style>
